package com.kingdee.eas.custom.bill.salary;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class PayPacketCollection extends AbstractObjectCollection 
{
    public PayPacketCollection()
    {
        super(PayPacketInfo.class);
    }
    public boolean add(PayPacketInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(PayPacketCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(PayPacketInfo item)
    {
        return removeObject(item);
    }
    public PayPacketInfo get(int index)
    {
        return(PayPacketInfo)getObject(index);
    }
    public PayPacketInfo get(Object key)
    {
        return(PayPacketInfo)getObject(key);
    }
    public void set(int index, PayPacketInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(PayPacketInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(PayPacketInfo item)
    {
        return super.indexOf(item);
    }
}